[API]
GetShortPathNameW
WinHelpA
WinHelpW

[CODE]
Public Function WinHelp(ByVal hwnd As Long, ByVal lpHelpFile As String, ByVal wCommand As Long, ByVal dwData As Long) As Long
  Dim xChar1 As String
  Dim xLong1 As Long
  
  If IsUnicode Then
    xChar1 = String(258&, vbNullChar)
    xLong1 = GetShortPathNameW(StrPtr(lpHelpFile), StrPtr(xChar1), 257&)
    If (xLong1 < 257&) And Not xLong1 = 0& Then lpHelpFile = Left(xChar1, xLong1)
    WinHelp = WinHelpW(hwnd, StrPtr(lpHelpFile), wCommand, dwData)
    Else
    WinHelp = WinHelpA(hwnd, lpHelpFile, wCommand, dwData)
    End If
  End Function
